Update Adapter

View as Markdown
Update Adapter deployment or description.

Path parameters

workspacestringRequired
model_namestringRequired
adapterstringRequired

Request

This endpoint expects an object.
descriptionstringOptional<=1000 characters
Optional description of the adapter
enabledbooleanOptional
Whether to make this adapter available for inference post training
filesetstringOptional
Updated fileset for the adapter

Response

Update adapter metadata
namestringformat: "^[\w\-.]+$"<=255 characters

Name of the adapter. Name must be unique in the workspace for all Adapters and match the following regex: Allowed characters: letters (a-z, A-Z), digits (0-9), underscores, hyphens, and dots.

workspacestringformat: "^[\w\-.]+$"<=255 characters

Workspace of the adapter. Allowed characters: letters (a-z, A-Z), digits (0-9), underscores, hyphens, and dots.

filesetstring

Fileset where the adapter files are stored expected format {workspace}/{fileset_name}

finetuning_typeenum

Type of finetuning (LORA, P_TUNING, etc.)

descriptionstring<=1000 characters
Optional description of the adapter
enabledbooleanDefaults to true
Whether to make this adapter available for inference post training
lora_configobject
Lora configuration specifics
modelstring<=127 characters

Parent model entity reference. A single name (2-63 characters) or ‘workspace/model_name’ where each segment is a valid name (lowercase, digits, hyphens, and temporarily @ . + _; no leading/trailing or consecutive hyphens). If one slash, both sides must be non-empty.

created_atdatetime
updated_atdatetime

Errors

422
Unprocessable Entity Error